execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:mainhand] unless score @s camera_cooldown matches 1.. at @s run playsound minecraft:item.trident.throw player @s ~ ~ ~ 2 2
execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:mainhand] unless score @s camera_cooldown matches 1.. at @s run playsound minecraft:item.trident.thunder player @s ~ ~ ~ 0.8 2

execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:offhand] unless score @s camera_cooldown matches 1.. at @s run playsound minecraft:item.trident.throw player @s ~ ~ ~ 2 2
execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:offhand] unless score @s camera_cooldown matches 1.. at @s run playsound minecraft:item.trident.thunder player @s ~ ~ ~ 0.8 2

execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:mainhand] unless score @s camera_cooldown matches 1.. at @s run particle flash ~ ~1 ~ 1 1 1 1 100 normal
execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:offhand] unless score @s camera_cooldown matches 1.. at @s run particle flash ~ ~1 ~ 1 1 1 1 100 normal

execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:mainhand] unless score @s camera_cooldown matches 1.. run tag @s add no_camera_effect
execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:offhand] unless score @s camera_cooldown matches 1.. run tag @s add no_camera_effect

execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:mainhand] unless score @s camera_cooldown matches 1.. run scoreboard players set @e[tag=!no_camera_effect,distance=..10] camera_stun 1
execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:offhand] unless score @s camera_cooldown matches 1.. run scoreboard players set @e[tag=!no_camera_effect,distance=..10] camera_stun 1

execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:mainhand] unless score @s camera_cooldown matches 1.. run scoreboard players set @s camera_cooldown 1
execute if entity @s[scores={camera_click=1..},predicate=camera_flash_stun:offhand] unless score @s camera_cooldown matches 1.. run scoreboard players set @s camera_cooldown 1

#cooldown/stun
execute if entity @s[scores={camera_cooldown=1..}] unless score @s camera_cooldown matches 8.. run scoreboard players add @s camera_cooldown_timer 1
execute if entity @s[scores={camera_cooldown_timer=24..}] unless score @s camera_cooldown matches 8.. run scoreboard players add @s camera_cooldown 1
execute if entity @s[scores={camera_cooldown_timer=1..}] run tag @s remove no_camera_effect

execute if entity @s[scores={camera_cooldown=8..}] at @s run particle dragon_breath ~ ~1 ~ 0 0 0 0.2 100 normal
execute if entity @s[scores={camera_cooldown=8..}] at @s run playsound block.note_block.xylophone player @s ~ ~ ~
execute if entity @s[scores={camera_cooldown=8..}] run scoreboard players reset @s camera_cooldown_timer
execute if entity @s[scores={camera_cooldown=8..}] run scoreboard players reset @s camera_cooldown

#effects/reset
execute as @e[scores={camera_stun=1..}] run effect give @s slowness 1 255 true
execute as @e[scores={camera_stun=1..}] run effect give @s blindness 2 255 true
execute as @e[scores={camera_stun=1..}] run effect give @s weakness 1 255 true
execute as @e[scores={camera_stun=1..}] run effect give @s mining_fatigue 1 255 true
execute as @e[type=player,scores={camera_stun=1..}] unless block ~ ~-1 ~ slime_block run effect give @s jump_boost 1 248 true
execute as @e[scores={camera_stun=1..}] run tp @e[type=arrow,distance=..10] ~ ~-1 ~
execute as @e[scores={camera_stun=1..}] run data merge entity @s {ExplosionRadius:0}
execute as @e[scores={camera_stun=1..}] run data merge entity @s {Fuse:100}

execute as @e[scores={camera_stun=1..5}] at @s run tp @s[distance=..10] ~ ~ ~ ~48 ~48
execute as @e[scores={camera_stun=10..15}] at @s run tp @s[distance=..10] ~ ~ ~ ~48 ~48
execute as @e[scores={camera_stun=20..25}] at @s run tp @s[distance=..10] ~ ~ ~ ~48 ~48
execute as @e[scores={camera_stun=30..35}] at @s run tp @s[distance=..10] ~ ~ ~ ~48 ~48
execute as @e[scores={camera_stun=40..45}] at @s run tp @s[distance=..10] ~ ~ ~ ~48 ~48
execute as @e[scores={camera_stun=50..55}] at @s run tp @s[distance=..10] ~ ~ ~ ~48 ~48
execute as @e[scores={camera_stun=60..65}] at @s run tp @s[distance=..10] ~ ~ ~ ~48 ~48
execute as @e[scores={camera_stun=70..75}] at @s run tp @s[distance=..10] ~ ~ ~ ~48 ~48
execute as @e[scores={camera_stun=80..85}] at @s run tp @s[distance=..10] ~ ~ ~ ~48 ~48
execute as @e[scores={camera_stun=90..95}] at @s run tp @s[distance=..10] ~ ~ ~ ~48 ~48
execute as @e[scores={camera_stun=100..105}] at @s run tp @s[distance=..10] ~ ~ ~ ~48 ~48
execute as @e[scores={camera_stun=1..}] run scoreboard players add @s camera_stun 1
execute as @e[scores={camera_stun=110..}] run scoreboard players reset @s camera_stun